TV_GRAB_IL(1)

NAME
tv_grab_il - Grab TV listings for Israel.

SYNOPSIS
tv_grab_il --help

tv_grab_il --version

tv_grab_il --capabilities

tv_grab_il --description

tv_grab_il [--config-file FILE]
           [--days N] [--offset N] [--slow]
           [--output FILE] [--quiet]

tv_grab_il --configure [--config-file FILE]

tv_grab_il --configure-api [--stage NAME]
           [--config-file FILE]
           [--output FILE]

tv_grab_il --list-channels [--config-file FILE]
           [--output FILE] [--quiet]

DESCRIPTION
Output TV listings in XMLTV format for many channels available in Israel. The data comes from tv-guide.walla.co.il. 5 days of listings (including the current day) are available.

First you must run tv_grab_il --configure to choose which channels you want to receive.

Then running tv_grab_il with no arguments will get a listings in XML format for the channels you chose for available days including today.

OPTIONS
--configure Prompt for which channels to download and write the configuration file.

--config-file FILE Set the name of the configuration file, the default is ~/.xmltv/tv_grab_il.conf. This is the file written by --configure and read when grabbing.

--output FILE When grabbing, write output to FILE rather than standard output.

--days N When grabbing, grab N days rather than all available days.

--offset N Start grabbing at today + N days.

--quiet Suppress the progress-bar normally shown on standard error.

--list-channels Write output giving <channel> elements for every channel available (ignoring the config file), but no programmes.

--capabilities Show which capabilities the grabber supports. For more information, see <http://wiki.xmltv.org/index.php/XmltvCapabilities>

--version Show the version of the grabber.

--help Print a help message and exit.

ERROR HANDLING
If the grabber fails to download data for some channel on a specific day, it will print an error message to STDERR and then continue with the other channels and days. The grabber will exit with a status code of 1 to indicate that the data is incomplete.

ENVIRONMENT VARIABLES
The environment variable HOME can be set to change where configuration files are stored. All configuration is stored in $HOME/.xmltv/. On Windows, it might be necessary to set HOME to a path without spaces in it.

SUPPORTED CHANNELS
For information on supported channels, see https://tv-guide.walla.co.il/

AUTHOR
The original author was lightpriest. This documentation and parts of the code are based on various other grabbers from the XMLTV project.

SEE ALSO
xmltv(5).